Fanvil X6

Discussion in '3CX Phone System - General' started by Rolf Puerckhauer, Nov 13, 2017.

Thread Status:
Not open for further replies.
  1. Rolf Puerckhauer

    Joined:
    Aug 22, 2017
    Messages:
    5
    Likes Received:
    0
    Hello,
    there exist 2 Hardware Versions of the Fanvil X6 (V1.1 and V1.2).
    When trying to update the Hardware Model V1.1 with the Firmware 1.0 from 3cx, I get an "invalid File" from the phone. When using the Firmware 1.0 from Fanil, I get the Status "Nicht unterstützt R1.0.0_0c383e1eb372" in the 3cx.
    Where can I get a valid firmware for my phone?
     
  2. YiannisH_3CX

    YiannisH_3CX Support Team
    Staff Member 3CX Support

    Joined:
    May 10, 2016
    Messages:
    4,349
    Likes Received:
    274
    Hello @Rolf Puerckhauer

    Please note that the supported hardware version for 3CX is V1.2 and the firmware released is compatible only with that hardware version. Please contact Fanvil support so that they are able to help you with your issue.
     
  3. Rolf Puerckhauer

    Joined:
    Aug 22, 2017
    Messages:
    5
    Likes Received:
    0
    Hello,
    I bought this phones in August 2017 because they are listet as compatible on the 3cx homepage.
    The phones are working as compatible with the 0.88 Firmware.
    Why are this phones suddenly incompatible?
    There is no Info about hardware Versions on your homepage.
     
  4. YiannisH_3CX

    YiannisH_3CX Support Team
    Staff Member 3CX Support

    Joined:
    May 10, 2016
    Messages:
    4,349
    Likes Received:
    274
    Please note that Fanvil decided to make the previous hardware version not compatible with the new firmware. After the discussion we had with them regarding this, they informed us that any users that face this issue should contact them directly so they can provide assistance.
     
    V.. likes this.
  5. jem1

    Joined:
    Aug 29, 2012
    Messages:
    77
    Likes Received:
    30
    When I emailed Fanvil support they were quite adamant 1.1 is still supported, I'm waiting to hear from someone else at Fanvil about this as it seems not everyone is in the loop.
     
  6. mai

    mai

    Joined:
    Nov 24, 2009
    Messages:
    3
    Likes Received:
    0
  7. jem1

    Joined:
    Aug 29, 2012
    Messages:
    77
    Likes Received:
    30
    Fanvil has a 1.0.0 firmware for the 1.1 handsets for 3CX which makes it show up as supported in the console, you have to ask them for it.
     
  8. SECOIT GmbH

    Joined:
    Apr 3, 2017
    Messages:
    63
    Likes Received:
    18
    I just downloaded firmware 1.02 for Fanvil X6 hardware 1.1 from http://download.fanvil.com/Firmware...904-P0.9.21-R1.0.2-1987T2017-11-09-21.44.14.z
    I had to factory reset the X6 phone afterwards and reprovision it. But now (even HW 1.1 is not supported by 3CX) it seems to work as expected.

    Only thing is I'm getting a message on the phones tab "Not Supported R1.0.2_00112233445566" (showing the MAC address here) which I personally don't like but still better than throwing the phone into the bin just b/c it's HW 1.1.

    Hope that helps...
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  9. mtech1

    Joined:
    Jan 25, 2010
    Messages:
    26
    Likes Received:
    5
    Mine were still going unregistered for what seemed like no reason!

    Fanvil have replaced them for me for v1.2
    Very good customer support.
     
  10. V..

    V..

    Joined:
    Feb 14, 2017
    Messages:
    62
    Likes Received:
    23
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
    jon_tx likes this.
Thread Status:
Not open for further replies.